VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Namespaces | Enumerations | Functions
vst2persistence.cpp File Reference
`#include "public.sdk/source/vst/utility/vst2persistence.h"`
`#include "pluginterfaces/base/fplatform.h"`
`#include <limits>`

## Namespaces
namespace | VST3
namespace | VST3::IO

## Enumerations
enum | Error
enum | SeekMode

## Functions
Optional< Vst2xState > | tryVst2StateLoad (Steinberg::IBStream &stream, Optional< int32_t > vst2xUniqueID={}) noexcept
| Try loading the state from an old vst2 fxb format stream.
bool | writeVst2State (const Vst2xState &state, Steinberg::IBStream &stream, bool writeBypassState=true) noexcept
| Write a vst2 fxb stream.
Optional< Vst2xProgram > | tryVst2ProgramLoad (Steinberg::IBStream &stream, Optional< int32_t > vst2xUniqueID) noexcept
| Try loading the state from on old vst2 fxp format stream.

## Enumeration Type Documentation

enum Error

enum SeekMode

## Variable Documentation

Error error {Error::Unknown}

const uint64_t bytes {0u}

const void* ptr

Steinberg::IBStream& stream

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.